<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Paisdeorigen{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO paisdeorigen (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idpaisdeorigen,$nombre,$descripcion){
	$sql="UPDATE paisdeorigen SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idpaisdeorigen='$idpaisdeorigen'";
	return ejecutarConsulta($sql);
}
public function desactivar($idpaisdeorigen){
	$sql="UPDATE paisdeorigen SET condicion='0' WHERE idpaisdeorigen='$idpaisdeorigen'";
	return ejecutarConsulta($sql);
}
public function activar($idpaisdeorigen){
	$sql="UPDATE paisdeorigen SET condicion='1' WHERE idpaisdeorigen='$idpaisdeorigen'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idpaisdeorigen){
	$sql="SELECT * FROM paisdeorigen WHERE idpaisdeorigen='$idpaisdeorigen'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM paisdeorigen";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM paisdeorigen WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
